Blame runtests.sh

Karanbir Singh 2dd0be
#!/bin/bash
Karanbir Singh 7a0496
Steve Barnes e801dc
# Author: Steve Barnes (steve@echo.id.au)
Steve Barnes e801dc
# Description: this script sources our library functions and starts a test run.
Steve Barnes e801dc
Karanbir Singh 2dd0be
echo -e "\n[+] `date` -> CentOS QA $0 starting."
Karanbir Singh 2dd0be
Karanbir Singh 2dd0be
LIB_FUNCTIONS='./tests/0_lib/functions.sh'
Karanbir Singh 2dd0be
Karanbir Singh 2dd0be
[ -f $LIB_FUNCTIONS ] && source $LIB_FUNCTIONS || { echo -e "\n[+] `date` -> Unable to source functions library. Cannot continue\n"; exit $FAIL; }
Karanbir Singh 2dd0be
Karanbir Singh 2dd0be
# case insensitive filename matching
Karanbir Singh 2dd0be
shopt -s nocasematch
Karanbir Singh 2dd0be
Karanbir Singh 2dd0be
# exit as soon as any script returns a non-zero exit status
Karanbir Singh 2dd0be
set -e
Karanbir Singh 2dd0be
Steve Barnes 464547
# exit on undefined variables
Steve Barnes 464547
set -u
Steve Barnes 464547
Steve Barnes 464547
# process our test scripts
Karanbir Singh 910a7a
if [ $1 ]; then
vivekd 5ac723
  t_Process <(/usr/bin/find ./tests/0_*/ -type f|sort -t'/' )
vivekd f987f3
  t_Process <(/usr/bin/find ./tests/$1/ -type f|sort -t'/' )
Karanbir Singh 910a7a
else
Karanbir Singh 24cac1
  t_Process <(/usr/bin/find ./tests/p_*/ -type f|sort -t'/' )
vivekd 5ac723
  t_Process <(/usr/bin/find ./tests/0_*/ -type f|sort -t'/' )
Karanbir Singh 24cac1
  t_Process <(/usr/bin/find ./tests/r_*/ -type f|sort -t'/' )
Karanbir Singh 24cac1
  t_Process <(/usr/bin/find ./tests/z_*/ -type f|sort -t'/' )
Karanbir Singh 24cac1
fi
Karanbir Singh 2dd0be
Steve Barnes e801dc
# and, we're done.
1cf36a
t_Log "QA t_functional tests finished."
Athmane Madjoudj 549cd2
exit 0